<div class="menubar">
  <mat-toolbar >
    <mat-toolbar-row>
      <ng-container *ngFor="let menu of menuObj; let rowIndex = index;">
        <button class="menu-btn" mat-button (click)="getMenu(rowIndex,$event)" [routerLink]="[menu.link]">{{menu.label}}</button>
      
      </ng-container>
      
      <span class="spacer"></span>
      
      <button class="material-icon" mat-icon-button [mat-menu-trigger-for]="menu">
        <mat-icon>search</mat-icon>
      </button>
      
    </mat-toolbar-row>
  </mat-toolbar>

  <mat-menu x-position="before" #menu="matMenu">
    <button mat-menu-item>Option 1</button>
    <button mat-menu-item>Option 2</button>
  </mat-menu>
 
</div>



